šŸŒ Astrocartography API and āœ‹ Palmistry API are now live. Ship them in your app today.Get Started

General Rashi Report

The API general_rashi_report/:planet_name provides a two-line report on a person's nature based on their astrological sun sign or "rashi", with insights into their personality traits, tendencies, and potential areas of strength or weakness. The report also includes advice on how to channel energies and overcome any negative tendencies.
POSThttps://json.astrologyapi.com/v1/general_rashi_report/:planet_name

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi.

Path parameters

planet_namestringrequired

Planet Name, eg: sun, moon

  • sun
  • moon
  • mars
  • mercury
  • jupiter
  • venus
  • saturn

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/general_rashi_report/sun' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "planet": "sun",
  "rashi_report": "You tend to be efficient and hard-working, with a flair for business and finance. You are resourceful and willing to do all the work necessary in the fulfillment of a task. You are secretive, but there is, also, great inner strength and courage. You have a magnetism that draws people to you. You have an ardent, aggressive, self-reliant nature and an enthusiastic, constructive mind. On the negative side, there may be trouble and loss through the indulgence of the lower nature and love of rich and expensive food and sickness on that account. Any tendencies for wild speculation and risk-taking should be controlled. There is interest in the occult. Strong healing abilities may be present. These energies are meant to be used to gain a higher consciousness and greater universal wisdom."
}